%def_disable static

%def_without M24

%if_with M24
%define _release alt0.M24.1
%else
%define _release alt1
%endif

Name: libdm
Version: 2.2.5
Release: %_release

Summary: Data Management API runtime environment
License: GPL
Group: System/Libraries
Url: http://oss.sgi.com/projects/xfs/
Packager: Alexander Bokovoy <ab@altlinux.ru>

Source: ftp://oss.sgi.com/projects/xfs/download/cmd_tars/dmapi_%version-1.tar.bz2
Patch: libdm-2.2.5-alt-libtool.patch

Requires: libxfs

BuildPreReq: rpm-build >= 4.0.4-alt10

# makefiles are buggy
BuildConflicts: libdm-devel

# Automatically added by buildreq on Fri Dec 27 2002
BuildRequires: libxfs-devel libe2fs-devel

%description
This package contains the library needed to run programs dynamically
linked with libdm.

%package devel
Summary: Data Management API static libraries and headers
Group: Development/C
Requires: %name = %version-%release
Requires: libxfs-devel

%description devel
Thid package contains the libraries and header files needed to
develop programs which make use of the Data Management API
(DMAPI).

%package devel-static
Summary: Data Management API static libraries and headers
Group: Development/C
Requires: %name-devel = %version-%release
Requires: libxfs-devel-static

%description devel-static
This package contains the libraries and header files needed to
develop programs which make use of the Data Management API
(DMAPI).

%prep
%setup -q -n dmapi-%version
%patch -p2
%if_with M24
sed -ie 's,^#include <xfs/xfs.h>,#include <xfs/libxfs.h>,g' include/dmapi.h
%endif

%build
export DEBUG="-DNDEBUG"
autoconf
%configure %{subst_enable static}
%make_build

%install
make install install-dev DIST_ROOT=$RPM_BUILD_ROOT

# Workaround bug in makefiles
%__rm -f $RPM_BUILD_ROOT%_libdir/*.{so,*a}
%__rm -rf %buildroot%_datadir/doc/dmapi
%__install -p -m644 */.libs/*.a $RPM_BUILD_ROOT%_libdir/

# Relocate shared libraries from %_libdir/ to /lib/.
%__mkdir_p $RPM_BUILD_ROOT/lib
%__mv $RPM_BUILD_ROOT%_libdir/*.so.* $RPM_BUILD_ROOT/lib/
%__chmod 644 $RPM_BUILD_ROOT/lib/*
for f in */.libs/*.so; do
	t=`objdump -p "$f" |awk '/SONAME/ {print $2}'`
	[ -n "$t" ]
	%__ln_s -nf ../../lib/"$t" "$RPM_BUILD_ROOT%_libdir/${f##*/}"
done

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc README
/lib/*.so.*

%files devel
%_libdir/*.so
%_includedir/xfs/*
%_man3dir/*
%doc doc/PORTING doc/CHANGES.gz

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Mon Dec 18 2006 Grigory Batalov <bga@altlinux.ru> 2.2.5-alt1
- New upstream release.
- Fix compile and link with libtool.
- Add libe2fs-devel to BuildRequires.
- Don't hold %_includedir/xfs/ folder.
	    
* Thu Dec 11 2003 Alexander Bokovoy <ab@altlinux.ru> 2.1.0-alt1
- 2.1.0

* Thu Aug 21 2003 Dmitry V. Levin <ldv@altlinux.org> 2.0.5-alt2
- Explicitly use old libtool for build.
- Corrected interpackage dependencies.
- Updated build dependencies.
- Fixed -devel packaging.
- Specfile cleanup.

* Tue May 20 2003 Alexander Bokovoy <ab@altlinux.ru> 2.0.5-alt1
- 2.0.5, changed maintainer
- Updated librequires
- Spec clean up

* Fri Dec 27 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.0.2-alt1
- 2.0.2
- Updated buildrequires

* Wed Apr 10 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.0.1-alt0.1cvs
- 2.0.1

* Wed Nov 21 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.2.2-alt3
- Rebuilt with libxfs 1.3.13

* Wed Oct 31 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.2.2-alt2
- Rebuilt with libxfs 1.3.7

* Thu Sep 20 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.2.2-alt1
- First build for Sisyphus

* Fri Sep  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.2.2-1mdk
- Split lib in subpackage.
- Rework the spec.
- 0.2.2.

* Wed May  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1.1-1mdk
- First attempt.

# end of file


